Subject: Re: [GSOC 2014]idea:Git Configuration API Improvement

From: Matthieu Moy <[email-masked]>
Date: Fri, 21 Mar 2014 09:23:54 +0100

Yao Zhao <[email-masked]> writes:

> Moy, thanks for explaining. You said API should be hided. Is that
> means I should indicate an arbitary feature in old version or new
> feature we added should be linked to a manipulation of inner
> structure? And I need to find the connection to make this abstraction?

Sorry, I do not understand what you mean.

The new code should be backward compatible with the old one, that is:
existing code using git_config() should continue working. There are a
lot of git_config() calls in the codebase, and a GSoC won't have time to
change them all into something new.

This does not mean we can't add new features, both on the file parsing
side (add the ability to unset a key) and on the user API side (allow
getting the value of a key more easily).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/